Prosíme přihlašte se nebo zaregistrujte.

Přihlašte se svým uživatelským jménem a heslem.

Autor Téma: Instalace Netbeans  (Přečteno 3084 krát)

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Instalace Netbeans
« kdy: 02 Červen 2013, 00:04:57 »
Zdraví, chtěl bych si nainstalovat Netbeans, ale bohužel instalace se mi nedaří
Zobrazuje se mi tato chyba
Kód: [Vybrat]
sudo apt-get install netbeans
Čtu seznamy balíků… Hotovo
Vytváří se strom závislostí       
Čtu stavové informace… Hotovo
Některé balíky nemohly být instalovány. To může znamenat, že požadujete
nemožnou situaci, nebo, pokud používáte nestabilní distribuci, že
vyžadované balíky ještě nebyly vytvořeny nebo přesunuty z Příchozí fronty.
Následující informace vám mohou pomoci vyřešit tuto situaci:

Následující balíky mají nesplněné závislosti:
 netbeans : Závisí na: libnb-platform13-java (>= 7.0) ale nebude se instalovat
            Závisí na: libnb-ide14-java (= 7.0.1+dfsg1-5ubuntu2) ale nebude se instalovat
            Závisí na: libnb-java5-java (= 7.0.1+dfsg1-5ubuntu2) ale nebude se instalovat
            Závisí na: libnb-apisupport3-java (= 7.0.1+dfsg1-5ubuntu2) ale nebude se instalovat
E: Nelze opravit problémy, některé balíky držíte v porouchaném stavu.

Zkoušel jsem balíček netbeans-7.3-php-linux.sh stáhnout  z webu a ručně naistalovat - proběhlo v pořádku, ale jakmile zadám do termínálu netbeans, tak se mi zobrazí info, že balíček není nainstalován. Mohl by mi někdo poradit jak problém s instalací odstranit

UBUNTU : 13.04
JAVA: java version "1.7.0_21"
Java(TM) SE Runtime Environment (build 1.7.0_21-b11)
Java HotSpot(TM) Server VM (build 23.21-b01, mixed mode)
« Poslední změna: 02 Červen 2013, 00:10:18 od Taps »

Šuohob

  • Závislák
  • ****
  • Příspěvků: 2171
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #1 kdy: 02 Červen 2013, 00:30:29 »
Vypada to na nejaky problem se zavislostmi. Zkusil bych na instalaci pouzit aptitude, obcas dokaze navrhnout pouzitelna reseni. Tedy za predpokladu, ze napr. v repozitari nejsou rozbite zavislosti.
Kód: [Vybrat]
aptitude install netbeans
Pokud navrhne reseni, tak ho muzes prijmout (y), nebo prejit na dalsi navrhnute reseni (n), nebo ukoncit aptitude (q).

Hint: pokud ti aptitude navrhne, ze ti odinstaluje pulku systemu, tak zkus prejit na dalsi reseni.
Tak dlouho se vrzá s Acerem, až se displej utrhne.

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #2 kdy: 02 Červen 2013, 08:29:11 »
RAději se zeptám odborníků :-)..dostal jsem níže uvedený výpis..je možné tedy akci provést ?
Kód: [Vybrat]
Následující NOVÉ balíky budou instalovány:
  ant1.7{a} ant1.7-gcj{ab} ant1.7-optional{a} ant1.7-optional-gcj{ab}
  antlr3{a} javahelp2{a} libbindex-java{a} libjemmy2-java{a} libjna-java{a}
  libnb-absolutelayout-java{a} libnb-apisupport3-java{a}
  libnb-ide14-java{ab} libnb-java5-java{ab} libnb-platform-devel-java{a}
  libnb-platform13-java{ab} libstringtemplate-java{ab}
  libswing-layout-java{a} netbeans
Následující balíky budou ODSTRANĚNY:
  gir1.2-rsvg-2.0{u} libsqlite0{u} python-audioread{u} python-eyed3{u}
  python-mutagen{u} python-pylastfp{u} python-pymad{u} python-requests{u}
  python-sqlite{u} python-urllib3{u} rhythmbox-plugin-albumartsearch{u}
  rhythmbox-plugin-android-remote{u} rhythmbox-plugin-artdisplay{u}
  rhythmbox-plugin-countdown-playlist{u}
  rhythmbox-plugin-coverart-browser{u} rhythmbox-plugin-coverart-search{u}
  rhythmbox-plugin-desktopart{u} rhythmbox-plugin-equalizer{u}
  rhythmbox-plugin-fileorganizer{u} rhythmbox-plugin-fullscreen{u}
  rhythmbox-plugin-hide{u} rhythmbox-plugin-jumptoplaying{u}
  rhythmbox-plugin-jumptowindow{u} rhythmbox-plugin-llyrics{u}
  rhythmbox-plugin-microblogger{u} rhythmbox-plugin-opencontainingfolder{u}
  rhythmbox-plugin-randomalbumplayer{u} rhythmbox-plugin-rating-filters{u}
  rhythmbox-plugin-remembertherhythm{u} rhythmbox-plugin-repeat-one-song{u}
  rhythmbox-plugin-rhythmweb{u} rhythmbox-plugin-screensaver{u}
  rhythmbox-plugin-send-first{u} rhythmbox-plugin-smallwindow{u}
  rhythmbox-plugin-stopafter{u} rhythmbox-plugin-suspend{u}
  rhythmbox-plugin-tabguitar{u} rhythmbox-plugin-tray-icon{u}
  rhythmbox-plugin-webmenu{u}
0 balíků aktualizováno, 18 nově instalováno, 39 k odstranění a 0 neaktualizováno.
Potřebuji stáhnout 38,0 MB archivů. Po rozbalení bude použito 107 MB.
Následující balíky mají nesplněné závislosti:
 ant1.7-gcj : Závisí na: libgcj-common (> 1:4.1.1-13) což je virtuální balík.
              Závisí na: libgcj-bc (>= 4.4.5-1~) což je virtuální balík.
 libnb-platform13-java : Závisí na: junit4 (>= 4.6) což je virtuální balík.
                         Závisí na: libfelix-framework-java ale ten se nebude instalovat.
                         Závisí na: libfelix-main-java ale ten se nebude instalovat.
                         Závisí na: libosgi-core-java ale ten se nebude instalovat.
                         Závisí na: libosgi-compendium-java ale ten se nebude instalovat.
                         Závisí na: libnb-org-openide-util-java ale ten se nebude instalovat.
                         Závisí na: libnb-org-openide-util-lookup-java ale ten se nebude instalovat.
                         Závisí na: libnb-org-openide-modules-java ale ten se nebude instalovat.
 libstringtemplate-java : Závisí na: libantlr-java což je virtuální balík.
 ant1.7-optional-gcj : Závisí na: libgcj-common (> 1:4.1.1-13) což je virtuální balík.
                       Závisí na: libgcj-bc (>= 4.4.5-1~) což je virtuální balík.
 libnb-java5-java : Závisí na: junit což je virtuální balík.
                    Závisí na: junit-doc což je virtuální balík.
                    Závisí na: junit4-doc což je virtuální balík.
                    Závisí na: libbetter-appframework-java ale ten se nebude instalovat.
                    Závisí na: libbeansbinding-java ale ten se nebude instalovat.
                    Závisí na: libcglib-java což je virtuální balík.
                    Závisí na: libnb-javaparser-java (>= 7.0.1~) ale ten se nebude instalovat.
                    Závisí na: ant (>= 1.7.0) což je virtuální balík.
                    Závisí na: ant-optional (>= 1.7.0) což je virtuální balík.
 libnb-ide14-java : Závisí na: libcommons-codec-java což je virtuální balík.
                    Závisí na: libbytelist-java ale ten se nebude instalovat.
                    Závisí na: libcommons-logging-java což je virtuální balík.
                    Závisí na: libcommons-net1-java což je virtuální balík.
                    Závisí na: libflute-java ale ten se nebude instalovat.
                    Závisí na: libfreemarker-java ale ten se nebude instalovat.
                    Závisí na: libini4j-java (>= 0.5) ale ten se nebude instalovat.
                    Závisí na: liboro-java což je virtuální balík.
                    Závisí na: libjsch-java (>= 0.1.42) což je virtuální balík.
                    Závisí na: libjvyamlb-java (>= 0.2.5-2~) ale ten se nebude instalovat.
                    Závisí na: libjzlib-java (>= 1.0.7) ale ten se nebude instalovat.
                    Závisí na: liblucene2-java (>= 2.4.1) ale ten se nebude instalovat.
                    Závisí na: libsac-java ale ten se nebude instalovat.
                    Závisí na: libsvnclientadapter-java ale ten se nebude instalovat.
                    Závisí na: libsvnkit-java ale ten se nebude instalovat.
                    Závisí na: libswingx1-java ale ten se nebude instalovat.
                    Závisí na: libtrilead-ssh2-java ale ten se nebude instalovat.
                    Závisí na: libsimple-validation-java ale ten se nebude instalovat.
                    Závisí na: libpostgresql-jdbc-java ale ten se nebude instalovat.
                    Závisí na: libmysql-java ale ten se nebude instalovat.
Následující akce vyřeší tyto závislosti:

      Ponechat následující balíky v jejich aktuální verzi:
1)      ant1.7-gcj [Nenainstalovaný]                     
2)      ant1.7-optional-gcj [Nenainstalovaný]             
3)      antlr3 [Nenainstalovaný]                         
4)      libnb-apisupport3-java [Nenainstalovaný]         
5)      libnb-ide14-java [Nenainstalovaný]               
6)      libnb-java5-java [Nenainstalovaný]               
7)      libnb-platform-devel-java [Nenainstalovaný]       
8)      libnb-platform13-java [Nenainstalovaný]           
9)      libstringtemplate-java [Nenainstalovaný]         
10)     netbeans [Nenainstalovaný]                       

      Ponechat následující závislosti nevyřešené:         
11)     ant1.7 doporučuje ant-gcj                         
12)     ant1.7-optional doporučuje ant-optional-gcj       


Přijmout toto řešení? [Y/n/q/?]


Šuohob

  • Závislák
  • ****
  • Příspěvků: 2171
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #3 kdy: 02 Červen 2013, 11:42:59 »
Kód: [Vybrat]
10)     netbeans [Nenainstalovaný]   tohle ti nenainstaluje netbeans, zkus se mrknout na dalsi reseni (n)
Tak dlouho se vrzá s Acerem, až se displej utrhne.

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #4 kdy: 02 Červen 2013, 12:14:47 »
vypsalo se mi
*** Žádná další řešení nejsou dostupná ***

Šuohob

  • Závislák
  • ****
  • Příspěvků: 2171
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #5 kdy: 02 Červen 2013, 12:32:12 »
tak to je smula a reseni je jinde :)
aptitude update && aptitude upgrade pomuze?
Tak dlouho se vrzá s Acerem, až se displej utrhne.

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #6 kdy: 02 Červen 2013, 12:55:10 »
bohužel nepomohlo
Kód: [Vybrat]
Hit http://dl.google.com stable Release.gpg
Hit http://archive.ubuntu.com raring Release.gpg                               
Hit http://dl.google.com stable Release                                         
Hit http://archive.ubuntu.com raring Release                                   
Hit http://dl.google.com stable/main i386 Packages             
Hit http://archive.ubuntu.com raring/universe i386 Packages   
Hit http://ppa.launchpad.net raring Release.gpg               
Hit http://packages.medibuntu.org raring Release.gpg                           
Hit http://archive.ubuntu.com raring/universe Translation-cs   
Hit http://ppa.launchpad.net raring Release.gpg                                 
Hit http://archive.ubuntu.com raring/universe Translation-en                   
Ign http://ppa.launchpad.net raring Release.gpg                                 
Hit http://packages.medibuntu.org raring Release               
Ign http://archive.ubuntu.com raring/universe Translation-cs_CZ
Hit http://ppa.launchpad.net raring Release.gpg                                 
Hit http://ppa.launchpad.net raring Release.gpg                               
Hit http://packages.medibuntu.org raring/free i386 Packages
Hit http://ppa.launchpad.net raring Release.gpg
Hit http://ppa.launchpad.net raring Release.gpg                               
Hit http://packages.medibuntu.org raring/non-free i386 Packages
Hit http://ppa.launchpad.net raring Release
Hit http://ppa.launchpad.net raring Release                                     
Ign http://ppa.launchpad.net raring Release                   
Ign http://dl.google.com stable/main Translation-cs_CZ                         
Ign http://dl.google.com stable/main Translation-cs                           
Hit http://ppa.launchpad.net raring Release                   
Ign http://dl.google.com stable/main Translation-en           
Hit http://ppa.launchpad.net raring Release
Hit http://ppa.launchpad.net raring Release                                   
Hit http://ppa.launchpad.net raring Release
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Hit http://ppa.launchpad.net raring/main i386 Packages
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Hit http://ppa.launchpad.net raring/main i386 Packages     
Hit http://ppa.launchpad.net raring/main i386 Packages     
Hit http://ppa.launchpad.net raring/main i386 Packages                         
Ign http://packages.medibuntu.org raring/free Translation-cs_CZ
Ign http://packages.medibuntu.org raring/free Translation-cs
Ign http://packages.medibuntu.org raring/free Translation-en
Ign http://packages.medibuntu.org raring/non-free Translation-cs_CZ
Ign http://packages.medibuntu.org raring/non-free Translation-cs               
Ign http://packages.medibuntu.org raring/non-free Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Err http://ppa.launchpad.net raring/main i386 Packages
  404  Not Found
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
Ign http://ppa.launchpad.net raring/main Translation-cs_CZ
Ign http://ppa.launchpad.net raring/main Translation-cs
Ign http://ppa.launchpad.net raring/main Translation-en
97% [Pracuji]W: Selhalo stažení http://ppa.launchpad.net/lucid-bleed/ppa/ubuntu/dists/raring/main/binary-i386/Packages: 404  Not Found
E: Some index files failed to download. They have been ignored, or old ones used instead.
E: Nemohu vytvořit vyrovnávací paměť pro balíky



mk33

  • Člen
  • **
  • Příspěvků: 300
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #7 kdy: 02 Červen 2013, 12:57:50 »
co si stahnout netbeans primo ze stranek https://netbeans.org/, aktualni verzi i s podporou php a tu zkusit nainstalovat?
začínám tak trpělivost a pevné nervy :-) since  21. Listopad 2006
-------------------------------------------------------------------------
|Aopen MX4SGI-4DN2|P4 2,8GHz HT|2x512MB RAM|ATI 9550|Linux Mint 9 Isadora|  |Asus P4B533|P4 1,8GHz|3x256 MB RAM|ATI 7500|Ubuntu 7.04|  |IBM Thinkpad T40p|Ubuntu 9.04|  |Lenovo Thinkpad T61|Linux Mint 9 Isadora|Lenovo Thinkpad T410|Linux Mint 13

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #8 kdy: 02 Červen 2013, 13:02:44 »
mk33
, to jsem zkoušel. Instalátor proběhnul v pořádku, ale když do terminálu netbeans, tak se zobrazí

Program 'netbeans' v současnosti není nainstalován. Můžete jej nainstalovat napsáním:
apt-get install netbeans

Šuohob

  • Závislák
  • ****
  • Příspěvků: 2171
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #9 kdy: 02 Červen 2013, 13:27:06 »
nejspis si ho nenainstaloval do systemovych adresaru - tzn shell nevi, kde hledat binarku netbeans.

oprava je trivialni.: napr. vytvorit alias na prikaz netbeans, ktery bude spoustet binarku netbeans ve tvem domovskem adresari (jak na alias: http://wiki.ubuntu.cz/lehk%C3%BD_%C3%BAvod_do_taj%C5%AF_p%C5%99%C3%ADkazov%C3%A9_%C5%99%C3%A1dky#aliasy)
Nebo se rucne dolistovat do adresare, kam jsi to nainstaloval a spustit to primo.

Tak dlouho se vrzá s Acerem, až se displej utrhne.

Taps

  • Člen
  • **
  • Příspěvků: 105
    • Zobrazit profil
Re:Instalace Netbeans
« Odpověď #10 kdy: 02 Červen 2013, 13:55:03 »
Paráda, Netbeans už mi funguje...díky všem.